unit FOther;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmOther = class(TForm)
    butClose: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure butCloseClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmOther: TfrmOther;

implementation

uses
  Demo1Settings;

{$R *.dfm}

{ TfrmOther }

procedure TfrmOther.butCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmOther.FormCreate(Sender: TObject);
begin
  //  Apply form settings
  if  Settings.GUI.OtherForm.Right > 0 then
    BoundsRect  := Settings.GUI.OtherForm.BoundsRect;
end;

procedure TfrmOther.FormDestroy(Sender: TObject);
begin
  //  Set settings
  Settings.GUI.OtherForm.BoundsRect := BoundsRect;
end;

end.
