unit FMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmMain = class(TForm)
    labLogin: TLabel;
    edLogin: TEdit;
    labPassword: TLabel;
    edPassword: TEdit;
    butChange: TButton;
    butLogin: TButton;
    butExit: TButton;
    procedure butChangeClick(Sender: TObject);
    procedure butLoginClick(Sender: TObject);
    procedure butExitClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

uses
  Demo3Settings;

{ TfrmMain }

procedure TfrmMain.butChangeClick(Sender: TObject);
begin
  PasswordSettings.Login  := edLogin.Text;
  PasswordSettings.SetPassword( edPassword.Text );
end;

procedure TfrmMain.butLoginClick(Sender: TObject);
begin
  if  (edLogin.Text = PasswordSettings.Login) and
      PasswordSettings.IsValidPassword( edPassword.Text )
  then
    ShowMessage('Successful')
  else
    ShowMessage('Failed');
end;

procedure TfrmMain.butExitClick(Sender: TObject);
begin
  Close;
end;

end.
