unit FMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmMain = class(TForm)
    labOpen1: TLabel;
    labOpen2: TLabel;
    butOpen: TButton;
    butExit: TButton;
    labTotal: TLabel;
    edTotal: TEdit;
    procedure butExitClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure butOpenClick(Sender: TObject);
  private
    procedure SettingsUpdate(Sender: TObject);
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

uses
  Demo6Settings, FViewer;

{ TfrmMain }

procedure TfrmMain.butExitClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  Settings.OnChange.Subscribe( SettingsUpdate );
  edTotal.Text  := IntToStr( Settings.Total );
  //  Kickstart the demo app a bit
  butOpen.Click;
  butOpen.Click;
end;

procedure TfrmMain.FormDestroy(Sender: TObject);
begin
  Settings.OnChange.Unsubscribe( SettingsUpdate );
end;

procedure TfrmMain.SettingsUpdate(Sender: TObject);
begin
  edTotal.Text  := IntToStr( Settings.Total )
end;

procedure TfrmMain.butOpenClick(Sender: TObject);
begin
  TfrmViewer.Create( Self ).Show;
end;

end.
